/categories/{category}/children
This endpoint allows you to get lower level categories of a specific Category.
The query parameters described below are to be used with the JQL.
getCategoryChildren
| Name | Type | Description |
|---|---|---|
category
required
|
string |
The ID of the Category |
| Name | Type | Description |
|---|---|---|
code
|
string |
Filter results by given property value. |
limit
|
integer |
Number of categories per page (defaults to no pagination). |
page
|
integer |
Page number for pagination (defaults to no page). |
expanded
|
string |
Comma-separated list of relations to include in the response. Allowed values: characteristics, problems. |
sort
|
string |
Sort results by one or more fields. Allowed fields: full_code, is_real, name. Use a comma-separated list for multiple sorts and prefix a field with "-" for descending order. |
s_type
|
string |
Filter by category type. |
s_is_real
|
boolean |
Filter by whether the category is real. |
empty_folders
|
boolean |
When set to true, includes categories that have no children (empty folders) in the response. |
data
array<object>
id
string
required
read-only
ID of the Category
Example: 123
type
string
required
read-only
Model type
category
Example: category
attributes
object
required
category_id
integer
read-only
ID of the Category
Example: 123
type
string
The Category type. A "TYPE_OF_EQUIPMENT" Category is directly related to equipments (e.g. a fridge) and a Category "SOFT_MAINTENANCE" is related to Locations (E.g. hotel rooms).
SOFT_MAINTENANCE
TYPE_OF_EQUIPMENT
Example: SOFT_MAINTENANCE
all_technical_skills
boolean | null
Indicates if this category is associated to all technical skills.
Example: 1
code
string
Code of the Category.
Example: VENT
entity_id
integer
Entity ID of the Category.
Example: 123
full_code
string | null
read-only
Codes of the category's parents concatenated by dot with category code.
Example: XYZ.VENT
has_children
boolean
read-only
Whether the category has subitems or not.
Example: 1
is_real
boolean | null
Whether the category is a folder (false) or "final" category (true).
Example: 1
name
string
Name of the Category.
Example: Ventilation
parent_id
integer | null
ID of the category parent.
Example: 123
relationships
object
Available relationships of the Category.
categoryMeterings
object
Category Meterings associated to the category.
characteristics
object
Characteristics associated to the category.
entity
object
Entity associated to the category.
files
object
Files associated to the category.
maintenanceProcedures
object
Maintenance Procedures associated to the category.
maintenancePolicies
object
Maintenance Policies associated to the category.
problems
object
Problems associated to the category.
technicalSkills
object
Technical Skills associated to the category.
meta
object
Meta model structure details
pagination
object
total
integer
required
Total items.
Example: 1
count
integer
required
Total items returned for the current page.
Example: 1
per_page
integer
required
Maximum number of records per page.
Example: 1
current_page
integer
required
Number of the current page.
total_pages
integer
required
Number of the total pages.
links
object
Requests that return multiple items include a `links` attribute, with links related to request's context.
self
string
required
read-only
Current response link.
Example: /path?page=1
first
string
required
read-only
Link to the first page result.
Example: /path?page=1
last
string
required
read-only
Link to the previous page result.
Example: /path?page=1
next
string
read-only
Link to the next page result.
Example: /path?page=1
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
403
message
string
Example: Action unauthorized
more_info
string
status
string
error
error
object
http_code
integer
404
message
string
Example: Resource not found
more_info
string | null
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/categories/{category}/children' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/categories/{category}/children', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/categories/{category}/children');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/categories/{category}/children',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()